package antialiasing;
import java.awt.Dimension;
import java.awt.RenderingHints;
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.SwingUtilities;

public class TextQualityDemo {
    private static Object[] antialiasHintValues = {
        RenderingHints.VALUE_TEXT_ANTIALIAS_OFF,
        RenderingHints.VALUE_TEXT_ANTIALIAS_GASP,    // new to 1.6
        RenderingHints.VALUE_TEXT_ANTIALIAS_LCD_HBGR,// new to 1.6
        RenderingHints.VALUE_TEXT_ANTIALIAS_LCD_HRGB,// new to 1.6
        RenderingHints.VALUE_TEXT_ANTIALIAS_LCD_VBGR,// new to 1.6
        RenderingHints.VALUE_TEXT_ANTIALIAS_LCD_VRGB,// new to 1.6
        RenderingHints.VALUE_TEXT_ANTIALIAS_ON
    };
    private static void constructGUI() {

        JPanel cp = new JPanel();
        for (int i = 0; i < antialiasHintValues.length; i++) {
            MyPanel p = new MyPanel(antialiasHintValues[i]);
            cp.add(p);
        }

        JFrame frame = new JFrame("LCD Text Demo");
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        frame.setPreferredSize(new Dimension(630, 460));
        frame.setContentPane(cp);
        frame.pack();
        frame.setVisible(true);
    }
    
    public static void main(String[] args) {
        SwingUtilities.invokeLater(new Runnable() {
            public void run() {
                constructGUI();
            }
        });
    }
}
